# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gconftool-2 /usr/bin/glib-gettextize /usr/bin/pkg-config pkgconfig(glib-2.0)
# END SourceDeps(oneline)
# This can be safely commented out at next point release,
# changes should only use %gitver when it's defined. Sorry
# for the mess.
%global gitver 32a1da0160

Name:           nautilus-open-terminal
Version:        0.20
Release:        alt1_5
Summary:        Nautilus extension for an open terminal shortcut

Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://download.gnome.org/sources/%{name}/
Source0:        http://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	intltool
# need extensions
BuildRequires:	libnautilus-devel

# https://bugzilla.redhat.com/show_bug.cgi?id=653289
# Icon missing from Open in Terminal menu entry
Patch0:         nautilus-open-terminal-0.19-restoreicon.patch
BuildRequires:  autoconf automake libtool libGConf-devel

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Source44: import.info

%description
The nautilus-open-terminal extension provides a right-click "Open
Terminal" option for nautilus users who prefer that option.

%prep
%setup -q
%patch0 -p1 -b .restoreicon

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/nautilus/extensions-3.0/*.{l,}a

%find_lang %{name}


%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
              %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 \
	    --makefile-install-rule \
	    %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
              %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS TODO
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_libdir}/nautilus/extensions-3.0/*.so*

%changelog
* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_5
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_4
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_3
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_2
- update to new release by fcimport

* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_1
- initial fc import

* Thu Mar 04 2010 Yuri N. Sedunov <aris@altlinux.org> 0.18-alt2
- rebuild against new libgnome-desktop

* Sun Jan 03 2010 Yuri N. Sedunov <aris@altlinux.org> 0.18-alt1
- 0.18

* Sun Aug 09 2009 Yuri N. Sedunov <aris@altlinux.org> 0.17-alt1
- 0.17

* Tue Aug 04 2009 Yuri N. Sedunov <aris@altlinux.org> 0.16-alt1
- 0.16

* Mon Aug 03 2009 Yuri N. Sedunov <aris@altlinux.org> 0.15-alt1
- 0.15

* Sun May 24 2009 Yuri N. Sedunov <aris@altlinux.org> 0.13-alt1
- 0.13

* Sun May 17 2009 Yuri N. Sedunov <aris@altlinux.org> 0.12-alt1
- 0.12
- updated buildreqs

* Fri May 15 2009 Yuri N. Sedunov <aris@altlinux.org> 0.10-alt1
- new version
- removed unneeded patch
- updated buildreqs

* Fri Mar 27 2009 Yuri N. Sedunov <aris@altlinux.org> 0.9-alt3
- rebuild against libgnome-desktop-2.so.11
- fixed %%build
- updated buildreqs

* Fri Nov 07 2008 Yuri N. Sedunov <aris@altlinux.org> 0.9-alt2
- rebuild against libgnome-desktop-2.so.7

* Wed May 14 2008 Alexey Rusakov <ktirf@altlinux.org> 0.9-alt1
- New version (0.9).
- Use a macro for License tag.
- Spec cleanup, updates to the file list and install scripts.

* Sat Jun 30 2007 Alexey Rusakov <ktirf@altlinux.org> 0.8-alt1
- new version (0.8)
- Belarussian translation is now provided in the tarball.
- updated dependencies
- again, updated the patch for the careless C code.
- use macros from rpm-build-gnome
- added an explicit buildreq on libSM-devel (an implicit one has dropped).
- updated Source URL

* Wed Jan 24 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6-alt2
- although upstream seems to be dead, the program is too good to be thrown away.
- fixed building
- spec cleanup, updated buildreqs from configure.in
- updated the patch in order to build the code still without warnings.

* Tue Mar 07 2006 Vital Khilko <vk@altlinux.ru> 0.6-alt1
- 0.6

* Wed May 04 2005 Vital Khilko <vk@altlinux.ru> 0.2-alt1
- initial build



